Skip to main content
GET
/
api
/
v1
/
auth
/
me
curl -X GET "https://api.bitcoinflash.xyz/api/v1/auth/me" \
  -H "Authorization: Bearer YOUR_JWT_TOKEN"
{
  "success": true,
  "data": {
    "id": "a02c6d77-48fd-457d-810a-f895180a5be4",
    "name": "John Doe",
    "email": "john@example.com",
    "whatsapp": "+22997123456",
    "country": "BJ",
    "role": "user",
    "kyc_verified": false,
    "created_at": "2025-11-16T18:19:45.000000Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.bitcoinflash.xyz/llms.txt

Use this file to discover all available pages before exploring further.

Response

success
boolean
true on success.
data
object
The authenticated user’s profile object.
curl -X GET "https://api.bitcoinflash.xyz/api/v1/auth/me" \
  -H "Authorization: Bearer YOUR_JWT_TOKEN"
{
  "success": true,
  "data": {
    "id": "a02c6d77-48fd-457d-810a-f895180a5be4",
    "name": "John Doe",
    "email": "john@example.com",
    "whatsapp": "+22997123456",
    "country": "BJ",
    "role": "user",
    "kyc_verified": false,
    "created_at": "2025-11-16T18:19:45.000000Z"
  }
}